package com.alibaba.android.arouter.core;

import android.content.Context;
import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.annotation.Route;
import com.alibaba.android.arouter.facade.callback.InterceptorCallback;
import com.alibaba.android.arouter.facade.service.InterceptorService;
import com.alibaba.android.arouter.facade.template.IInterceptor;
import com.alibaba.android.arouter.facade.template.ILogger;
import com.networkbench.agent.impl.instrumentation.NBSInstrumented;
import com.networkbench.agent.impl.instrumentation.NBSRunnableInspect;
import com.networkbench.agent.impl.instrumentation.NBSRunnableInstrumentation;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
@Route(path = "/arouter/service/interceptor")
/* loaded from: classes.dex */
public class InterceptorServiceImpl implements InterceptorService {
    private static boolean a;
    private static final Object b = new Object();

    @NBSInstrumented
    /* loaded from: classes.dex */
    class a implements Runnable {
        public transient NBSRunnableInspect a = new NBSRunnableInspect();
        final /* synthetic */ Postcard b;
        final /* synthetic */ InterceptorCallback c;

        a(Postcard postcard, InterceptorCallback interceptorCallback) {
            this.b = postcard;
            this.c = interceptorCallback;
        }

        @Override // java.lang.Runnable
        public void run() {
            NBSRunnableInstrumentation.preRunMethod(this);
            b.a.a.a.d.a aVar = new b.a.a.a.d.a(com.alibaba.android.arouter.core.b.f.size());
            try {
                InterceptorServiceImpl.a(0, aVar, this.b);
                aVar.await(this.b.getTimeout(), TimeUnit.SECONDS);
                if (aVar.getCount() > 0) {
                    this.c.onInterrupt(new b.a.a.a.b.a("The interceptor processing timed out."));
                } else if (this.b.getTag() != null) {
                    this.c.onInterrupt(new b.a.a.a.b.a(this.b.getTag().toString()));
                } else {
                    this.c.onContinue(this.b);
                }
            } catch (Exception e) {
                this.c.onInterrupt(e);
            }
            NBSRunnableInstrumentation.sufRunMethod(this);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class b implements InterceptorCallback {
        final /* synthetic */ b.a.a.a.d.a a;
        final /* synthetic */ int b;
        final /* synthetic */ Postcard c;

        b(b.a.a.a.d.a aVar, int i, Postcard postcard) {
            this.a = aVar;
            this.b = i;
            this.c = postcard;
        }

        @Override // com.alibaba.android.arouter.facade.callback.InterceptorCallback
        public void onContinue(Postcard postcard) {
            this.a.countDown();
            InterceptorServiceImpl.a(this.b + 1, this.a, postcard);
        }

        @Override // com.alibaba.android.arouter.facade.callback.InterceptorCallback
        public void onInterrupt(Throwable th) {
            this.c.setTag(th == null ? new b.a.a.a.b.a("No message.") : th.getMessage());
            this.a.a();
        }
    }

    @NBSInstrumented
    /* loaded from: classes.dex */
    class c implements Runnable {
        public transient NBSRunnableInspect a = new NBSRunnableInspect();
        final /* synthetic */ Context b;

        c(Context context) {
            this.b = context;
        }

        @Override // java.lang.Runnable
        public void run() {
            NBSRunnableInstrumentation.preRunMethod(this);
            if (b.a.a.a.e.c.b(com.alibaba.android.arouter.core.b.e)) {
                for (Map.Entry<Integer, Class<? extends IInterceptor>> entry : com.alibaba.android.arouter.core.b.e.entrySet()) {
                    Class<? extends IInterceptor> value = entry.getValue();
                    try {
                        IInterceptor newInstance = value.getConstructor(new Class[0]).newInstance(new Object[0]);
                        newInstance.init(this.b);
                        com.alibaba.android.arouter.core.b.f.add(newInstance);
                    } catch (Exception e) {
                        b.a.a.a.b.a aVar = new b.a.a.a.b.a("ARouter::ARouter init interceptor error! name = [" + value.getName() + "], reason = [" + e.getMessage() + "]");
                        NBSRunnableInstrumentation.sufRunMethod(this);
                        throw aVar;
                    }
                }
                boolean unused = InterceptorServiceImpl.a = true;
                b.a.a.a.c.a.c.info(ILogger.defaultTag, "ARouter interceptors init over.");
                synchronized (InterceptorServiceImpl.b) {
                    try {
                        InterceptorServiceImpl.b.notifyAll();
                    } finally {
                        NBSRunnableInstrumentation.sufRunMethod(this);
                    }
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void a(int i, b.a.a.a.d.a aVar, Postcard postcard) {
        if (i < com.alibaba.android.arouter.core.b.f.size()) {
            com.alibaba.android.arouter.core.b.f.get(i).process(postcard, new b(aVar, i, postcard));
        }
    }

    private static void e() {
        synchronized (b) {
            while (!a) {
                try {
                    b.wait(10000L);
                } catch (InterruptedException e) {
                    throw new b.a.a.a.b.a("ARouter::Interceptor init cost too much time error! reason = [" + e.getMessage() + "]");
                }
            }
        }
    }

    @Override // com.alibaba.android.arouter.facade.service.InterceptorService
    public void doInterceptions(Postcard postcard, InterceptorCallback interceptorCallback) {
        List<IInterceptor> list = com.alibaba.android.arouter.core.b.f;
        if (list != null && list.size() > 0) {
            e();
            if (!a) {
                interceptorCallback.onInterrupt(new b.a.a.a.b.a("Interceptors initialization takes too much time."));
                return;
            } else {
                com.alibaba.android.arouter.core.a.b.execute(new a(postcard, interceptorCallback));
                return;
            }
        }
        interceptorCallback.onContinue(postcard);
    }

    @Override // com.alibaba.android.arouter.facade.template.IProvider
    public void init(Context context) {
        com.alibaba.android.arouter.core.a.b.execute(new c(context));
    }
}
