package com.alibaba.android.arouter.core;

import android.content.Context;
import android.net.Uri;
import b.a.a.a.b.c;
import b.a.a.a.e.d;
import b.a.a.a.e.e;
import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.enums.RouteType;
import com.alibaba.android.arouter.facade.enums.TypeKind;
import com.alibaba.android.arouter.facade.model.RouteMeta;
import com.alibaba.android.arouter.facade.template.IInterceptorGroup;
import com.alibaba.android.arouter.facade.template.ILogger;
import com.alibaba.android.arouter.facade.template.IProvider;
import com.alibaba.android.arouter.facade.template.IProviderGroup;
import com.alibaba.android.arouter.facade.template.IRouteGroup;
import com.alibaba.android.arouter.facade.template.IRouteRoot;
import java.util.HashSet;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ThreadPoolExecutor;
/* loaded from: classes.dex */
public class a {
    private static Context a;
    static ThreadPoolExecutor b;
    private static boolean c;

    /* renamed from: com.alibaba.android.arouter.core.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class C0000a {
        static final /* synthetic */ int[] a;

        static {
            int[] iArr = new int[RouteType.values().length];
            a = iArr;
            try {
                iArr[RouteType.PROVIDER.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                a[RouteType.FRAGMENT.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }

    public static Postcard a(String str) {
        RouteMeta routeMeta = b.d.get(str);
        if (routeMeta == null) {
            return null;
        }
        return new Postcard(routeMeta.getPath(), routeMeta.getGroup());
    }

    public static synchronized void b(Postcard postcard) {
        synchronized (a.class) {
            if (postcard != null) {
                RouteMeta routeMeta = b.b.get(postcard.getPath());
                if (routeMeta == null) {
                    Class<? extends IRouteGroup> cls = b.a.get(postcard.getGroup());
                    if (cls != null) {
                        try {
                            if (b.a.a.a.c.a.b()) {
                                b.a.a.a.c.a.c.debug(ILogger.defaultTag, String.format(Locale.getDefault(), "The group [%s] starts loading, trigger by [%s]", postcard.getGroup(), postcard.getPath()));
                            }
                            cls.getConstructor(new Class[0]).newInstance(new Object[0]).loadInto(b.b);
                            b.a.remove(postcard.getGroup());
                            if (b.a.a.a.c.a.b()) {
                                b.a.a.a.c.a.c.debug(ILogger.defaultTag, String.format(Locale.getDefault(), "The group [%s] has already been loaded, trigger by [%s]", postcard.getGroup(), postcard.getPath()));
                            }
                            b(postcard);
                        } catch (Exception e) {
                            throw new b.a.a.a.b.a("ARouter::Fatal exception when loading group meta. [" + e.getMessage() + "]");
                        }
                    } else {
                        throw new c("ARouter::There is no route match the path [" + postcard.getPath() + "], in group [" + postcard.getGroup() + "]");
                    }
                } else {
                    postcard.setDestination(routeMeta.getDestination());
                    postcard.setType(routeMeta.getType());
                    postcard.setPriority(routeMeta.getPriority());
                    postcard.setExtra(routeMeta.getExtra());
                    Uri uri = postcard.getUri();
                    if (uri != null) {
                        Map c2 = e.c(uri);
                        Map<String, Integer> paramsType = routeMeta.getParamsType();
                        if (b.a.a.a.e.c.b(paramsType)) {
                            for (Map.Entry<String, Integer> entry : paramsType.entrySet()) {
                                e(postcard, entry.getValue(), entry.getKey(), (String) c2.get(entry.getKey()));
                            }
                            postcard.getExtras().putStringArray("wmHzgD4lOj5o4241", (String[]) paramsType.keySet().toArray(new String[0]));
                        }
                        postcard.withString("NTeRQWvye18AkPd6G", uri.toString());
                    }
                    int i = C0000a.a[routeMeta.getType().ordinal()];
                    if (i == 1) {
                        Class<?> destination = routeMeta.getDestination();
                        IProvider iProvider = b.c.get(destination);
                        if (iProvider == null) {
                            try {
                                iProvider = (IProvider) destination.getConstructor(new Class[0]).newInstance(new Object[0]);
                                iProvider.init(a);
                                b.c.put(destination, iProvider);
                            } catch (Exception e2) {
                                throw new b.a.a.a.b.a("Init provider failed! " + e2.getMessage());
                            }
                        }
                        postcard.setProvider(iProvider);
                        postcard.greenChannel();
                    } else if (i == 2) {
                        postcard.greenChannel();
                    }
                }
            } else {
                throw new c("ARouter::No postcard!");
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:21:0x00b4 A[Catch: Exception -> 0x018f, all -> 0x01b0, TryCatch #1 {Exception -> 0x018f, blocks: (B:5:0x0007, B:7:0x0013, B:30:0x011a, B:32:0x0144, B:33:0x014d, B:35:0x0153, B:8:0x001e, B:10:0x0024, B:13:0x002b, B:18:0x0078, B:19:0x00ae, B:21:0x00b4, B:23:0x00c2, B:24:0x00da, B:26:0x00e2, B:27:0x00fa, B:29:0x0102, B:14:0x004b, B:16:0x0062, B:17:0x0075), top: B:45:0x0007, outer: #0 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static synchronized void c(Context context, ThreadPoolExecutor threadPoolExecutor) throws b.a.a.a.b.a {
        Set<String> a2;
        synchronized (a.class) {
            a = context;
            b = threadPoolExecutor;
            try {
                long currentTimeMillis = System.currentTimeMillis();
                d();
                if (c) {
                    b.a.a.a.c.a.c.info(ILogger.defaultTag, "Load router map by arouter-auto-register plugin.");
                } else {
                    if (!b.a.a.a.c.a.b() && !d.b(context)) {
                        b.a.a.a.c.a.c.info(ILogger.defaultTag, "Load router map from cache.");
                        a2 = new HashSet<>(context.getSharedPreferences("SP_AROUTER_CACHE", 0).getStringSet("ROUTER_MAP", new HashSet()));
                        ILogger iLogger = b.a.a.a.c.a.c;
                        iLogger.info(ILogger.defaultTag, "Find router map finished, map size = " + a2.size() + ", cost " + (System.currentTimeMillis() - currentTimeMillis) + " ms.");
                        currentTimeMillis = System.currentTimeMillis();
                        for (String str : a2) {
                            if (str.startsWith("com.alibaba.android.arouter.routes.ARouter$$Root")) {
                                ((IRouteRoot) Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(b.a);
                            } else if (str.startsWith("com.alibaba.android.arouter.routes.ARouter$$Interceptors")) {
                                ((IInterceptorGroup) Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(b.e);
                            } else if (str.startsWith("com.alibaba.android.arouter.routes.ARouter$$Providers")) {
                                ((IProviderGroup) Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(b.d);
                            }
                        }
                    }
                    b.a.a.a.c.a.c.info(ILogger.defaultTag, "Run with debug mode or new install, rebuild router map.");
                    a2 = b.a.a.a.e.a.a(a, "com.alibaba.android.arouter.routes");
                    if (!a2.isEmpty()) {
                        context.getSharedPreferences("SP_AROUTER_CACHE", 0).edit().putStringSet("ROUTER_MAP", a2).apply();
                    }
                    d.c(context);
                    ILogger iLogger2 = b.a.a.a.c.a.c;
                    iLogger2.info(ILogger.defaultTag, "Find router map finished, map size = " + a2.size() + ", cost " + (System.currentTimeMillis() - currentTimeMillis) + " ms.");
                    currentTimeMillis = System.currentTimeMillis();
                    while (r8.hasNext()) {
                    }
                }
                ILogger iLogger3 = b.a.a.a.c.a.c;
                iLogger3.info(ILogger.defaultTag, "Load root element finished, cost " + (System.currentTimeMillis() - currentTimeMillis) + " ms.");
                if (b.a.size() == 0) {
                    b.a.a.a.c.a.c.error(ILogger.defaultTag, "No mapping files were found, check your configuration please!");
                }
                if (b.a.a.a.c.a.b()) {
                    b.a.a.a.c.a.c.debug(ILogger.defaultTag, String.format(Locale.getDefault(), "LogisticsCenter has already been loaded, GroupIndex[%d], InterceptorIndex[%d], ProviderIndex[%d]", Integer.valueOf(b.a.size()), Integer.valueOf(b.e.size()), Integer.valueOf(b.d.size())));
                }
            } catch (Exception e) {
                throw new b.a.a.a.b.a("ARouter::ARouter init logistics center exception! [" + e.getMessage() + "]");
            }
        }
    }

    private static void d() {
        c = false;
    }

    private static void e(Postcard postcard, Integer num, String str, String str2) {
        if (e.b(str) || e.b(str2)) {
            return;
        }
        try {
            if (num != null) {
                if (num.intValue() == TypeKind.BOOLEAN.ordinal()) {
                    postcard.withBoolean(str, Boolean.parseBoolean(str2));
                } else if (num.intValue() == TypeKind.BYTE.ordinal()) {
                    postcard.withByte(str, Byte.valueOf(str2).byteValue());
                } else if (num.intValue() == TypeKind.SHORT.ordinal()) {
                    postcard.withShort(str, Short.valueOf(str2).shortValue());
                } else if (num.intValue() == TypeKind.INT.ordinal()) {
                    postcard.withInt(str, Integer.valueOf(str2).intValue());
                } else if (num.intValue() == TypeKind.LONG.ordinal()) {
                    postcard.withLong(str, Long.valueOf(str2).longValue());
                } else if (num.intValue() == TypeKind.FLOAT.ordinal()) {
                    postcard.withFloat(str, Float.valueOf(str2).floatValue());
                } else if (num.intValue() == TypeKind.DOUBLE.ordinal()) {
                    postcard.withDouble(str, Double.valueOf(str2).doubleValue());
                } else if (num.intValue() == TypeKind.STRING.ordinal()) {
                    postcard.withString(str, str2);
                } else if (num.intValue() != TypeKind.PARCELABLE.ordinal()) {
                    if (num.intValue() == TypeKind.OBJECT.ordinal()) {
                        postcard.withString(str, str2);
                    } else {
                        postcard.withString(str, str2);
                    }
                }
            } else {
                postcard.withString(str, str2);
            }
        } catch (Throwable th) {
            ILogger iLogger = b.a.a.a.c.a.c;
            iLogger.warning(ILogger.defaultTag, "LogisticsCenter setValue failed! " + th.getMessage());
        }
    }
}
